# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::Interpolator Class Reference

Abstract class for all the interpolators. More...

`#include <Interpolator.hpp>`

Inheritance diagram for vl::Interpolator:

List of all members.

## Public Member Functions
| Interpolator ()

## Detailed Description

Abstract class for all the interpolators.

An Interpolator is an object that implements a specific interpolation scheme (linear, Catmull-Rom, Bezier etc.) to interpolate data such as vectors, colors, rotations an so on. Interpolators are very useful for tasks such as animating an object's position and/or rotation, creating a smooth curved line from a set of control points, creating extrusion paths and silhouettes etc.

See also:

LinearInterpolator, CatmullRomInterpolator, the Interpolators Tutorial page and the Extrusion class.

## Constructor & Destructor Documentation

vl::Interpolator::Interpolator | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/Interpolator.hpp

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 8 14:28:59 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.